Package org.kapott.hbci.sepa.jaxb.pain_002_003_03

# Class GroupHeaderSEPA

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_003_03.GroupHeaderSEPA

public class GroupHeaderSEPA extends Object

Java class for GroupHeaderSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeaderSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}RestrictedIdentificationSEPA1"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}ISODateTime"/>
             <choice>
               <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}BranchAndFinancialInstitutionIdentificationSEPA1" minOccurs="0"/>
               <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}BranchAndFinancialInstitutionIdentificationSEPA1" minOccurs="0"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BranchAndFinancialInstitutionIdentificationSEPA1`
`cdtrAgt`
`protected XMLGregorianCalendar`
`creDtTm`
`protected BranchAndFinancialInstitutionIdentificationSEPA1`
`dbtrAgt`
`protected String`
`msgId`

## Constructor Summary

Constructors
Constructor
Description
`GroupHeaderSEPA()`

## Method Summary

Modifier and Type
Method
Description
`BranchAndFinancialInstitutionIdentificationSEPA1`
`getCdtrAgt()`
Gets the value of the cdtrAgt property.
`XMLGregorianCalendar`
`getCreDtTm()`
Gets the value of the creDtTm property.
`BranchAndFinancialInstitutionIdentificationSEPA1`
`getDbtrAgt()`
Gets the value of the dbtrAgt property.
`String`
`getMsgId()`
Gets the value of the msgId property.
`void`
`setCdtrAgt(BranchAndFinancialInstitutionIdentificationSEPA1 value)`
Sets the value of the cdtrAgt property.
`void`
`setCreDtTm(XMLGregorianCalendar value)`
Sets the value of the creDtTm property.
`void`
`setDbtrAgt(BranchAndFinancialInstitutionIdentificationSEPA1 value)`
Sets the value of the dbtrAgt property.
`void`
`setMsgId(String value)`
Sets the value of the msgId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgId

protected String msgId

### creDtTm

protected XMLGregorianCalendar creDtTm

### dbtrAgt

protected BranchAndFinancialInstitutionIdentificationSEPA1 dbtrAgt

### cdtrAgt

protected BranchAndFinancialInstitutionIdentificationSEPA1 cdtrAgt

## Constructor Details

### GroupHeaderSEPA

public GroupHeaderSEPA()

## Method Details

### getMsgId

public String getMsgId()
Gets the value of the msgId property.

Returns:
  possible object is `String`

### setMsgId

public void setMsgId(String value)
Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

### getCreDtTm

public XMLGregorianCalendar getCreDtTm()
Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setCreDtTm

public void setCreDtTm(XMLGregorianCalendar value)
Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getDbtrAgt

public BranchAndFinancialInstitutionIdentificationSEPA1 getDbtrAgt()
Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA1`

### setDbtrAgt

public void setDbtrAgt(BranchAndFinancialInstitutionIdentificationSEPA1 value)
Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA1`

### getCdtrAgt

public BranchAndFinancialInstitutionIdentificationSEPA1 getCdtrAgt()
Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA1`

### setCdtrAgt

public void setCdtrAgt(BranchAndFinancialInstitutionIdentificationSEPA1 value)
Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA1`